#include <Adafruit_NeoPixel.h>
#include "DHT.h"
#define DHTPIN 6 
#define button 12
 
// Pin al que está conectado los neopixeles
int neoPixelPin = 3;

// No. de Neopixeles
int numPixels = 60;

// Inicializar los neopixeles desde la librería 
Adafruit_NeoPixel strip = Adafruit_NeoPixel(numPixels, neoPixelPin, NEO_GRB + NEO_KHZ800);

// Valor globales R, G, B 
int r = 0;
int g = 0;
int b = 0;

//----------------------------------------------------------------------------------------------

//Manual 
  //Potenciometros

    const int redControl = A0;
    const int greenControl = A1;
    const int blueControl = A2;
      
    int redPotenciometerValue = 0;
    int greenPotenciometerValue = 0;
    int bluePotenciometerValue = 0;
       
    int redLedBright = 0;
    int greenLedBright = 0;
    int blueLedBright = 0;

//Automático 
  //Humo
    int gas = A6;
    int buzzer = 5;
    int delayval = 550;
    
  //Temperatura
    #define DHTTYPE DHT11 
    int temperatura;
    int humedad;
      
    DHT dht(DHTPIN, DHTTYPE);

//----------------------------------------------------------------------------------------------

//Botón cambio de función
    int contador = 0;
    int buttonPoll = 0;

void setup(){
  Serial.begin(9600);
    pinMode (button, INPUT_PULLUP); 
    
    pinMode(redControl, INPUT);
    pinMode(greenControl, INPUT);
    pinMode(blueControl, INPUT);
      
    pinMode(r, OUTPUT);
    pinMode(g, OUTPUT);
    pinMode(b, OUTPUT);
      
    dht.begin();
      
    strip.begin();  // Inicializar la tira
    strip.show();   // Hacerla visible
    strip.clear();  // Tira en off
}
void loop() {
  // put your main code here, to run repeatedly:
 buttonPoll = digitalRead(button);
  Serial.println(buttonPoll);
  
  if (buttonPoll == LOW) {
    delay(250);
    if (contador == 1) {
      contador = 0;
      Serial.println(contador);
    } else {
      contador = 1;
      Serial.println(contador);
    }
  }
  
  
  switch (contador){
    case 0: 
   for( int i = 0; i < numPixels; i++ ) 
    { 
       // Lectura del valor de los potenciometros
      redPotenciometerValue = analogRead(redControl);
      delay(5);
      greenPotenciometerValue = analogRead(greenControl);
      delay(5);
      bluePotenciometerValue = analogRead(blueControl);
    
      r = map(redPotenciometerValue, 0, 1023, 0, 255);
      g = map(greenPotenciometerValue, 0, 1023, 0, 255);
      b = map(bluePotenciometerValue, 0, 1023, 0, 255);;
    
     strip.setPixelColor(i, strip.Color(r, g, b));
     strip.show(); 
         
    }
      break;
    
    case 1: 
    int h = dht.readHumidity();
    int t = dht.readTemperature();
    temperatura = map(t, 20, 33, 0, 255);
    humedad = map(h, 20, 33, 0, 255);
    for(int i=0; i<numPixels; i++){
      strip.setPixelColor(i, strip.Color(temperatura,humedad, 0));
      strip.show();
    }
      break;
     
}
}
